
QGIS Application - Bug report #12851

Delete ring tool broken

2015-05-29 04:27 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20944

Description

The new geometry engine has broken use of the delete ring tool. I suspect the issue is in QgsGeometryEditUtils::deleteRing, as the routine

breaks out if the geometry is not a QgsMultiSurfaceV2. This routine needs to handle geometry collections too (eg multipolygons).

Associated revisions

Revision cde749f1 - 2015-06-02 05:02 AM - Nyall Dawson

Fix broken delete ring tool (fix #12851)

History

#1 - 2015-06-01 08:02 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"cde749f1159fbe2d55f41e00b22712d41d38c596".
